Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

Bearer token: a Platform API Key (format: ak_live::) or a Personal Access Token (format: rgo-...). PATs always act as the token owner.

Path Parameters

id
string
required

Response

id
string
required
title
string
required
type
enum<string>
required
Available options:
call,
email,
meeting,
follow_up,
todo
priority
enum<string>
required
Available options:
low,
medium,
high
dueDate
string<date-time>
required
completed
boolean
required
assigneeId
string
required

The primary assignee, or whoever took the task.

assigneeIds
string[]
required

Everyone the task is assigned to, primary first.

companyId
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
description
string
reminderAt
string<date-time> | null
completedAt
string<date-time>
completedById
string

Who marked the task done; absent on tasks done before this was kept.

contactId
string
dealId
string
crmCompanyId
string
isOverdue
boolean
contact
object
deal
object
crmCompany
object
assignee
object
assignees
object[]

Everyone in assigneeIds this response could resolve, primary first.